/*
** license.h - license information and help text for GrabURL 2.0
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "graburl.h"

#define LICENSE \
  "GrabURL "GU_VERSION" - Selective URL fetching utility\n" \
  "Copyright (C) 1996-97 Serge Emond\n" \
  "\n" \
  "This program is free software; you can redistribute it and/or\n" \
  "modify it under the terms of the GNU General Public License\n" \
  "as published by the Free Software Foundation; either version 2\n" \
  "of the License, or (at your option) any later version.\n" \
  "\n" \
  "This program is distributed in the hope that it will be useful,\n" \
  "but WITHOUT ANY WARRANTY; without even the implied warranty of\n" \
  "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n" \
  "GNU General Public License for more details.\n" \
  "\n" \
  "You should have received a copy of the GNU General Public License\n" \
  "along with this program; if not, write to the Free Software\n" \
  "Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.\n"

#define HELP \
  GU_VERSION", Copyright (C) 1996-97 Serge Emond\n" \
  "GrabURL comes with ABSOLUTELY NO WARRANTY; for details\n" \
  "type 'graburl license'.\n" \
  "\n" \
  "Usage: graburl <options>\n" \
  "where <options> is one or more of the following:\n" \
  "  ?, help, --help, -h        Show this help text\n" \
  "  licence                    Show the GNU General Public License\n" \
  "  Config <cfg_file>          Use the cfg_file as config file\n" \
  "  SaveRoot <root>            Use root as the root-directory to save files\n" \
  "  InFile <i_file>            i_file contains a list of URLs to get\n" \
  "  WorkFile <w_file>          Use w_file as workfile\n" \
  "                             to add an URL\n" \
  "  SaveTo <outfile>           Save URL to outfile in SaveRoot's directory\n" \
  "  [NO]retry                  Retry failed URLs when all is done\n" \
  "  [NO]IfModified             Send an IFMODIFIED request\n" \
  "  [NO]NonExists              Don't download if file exists on disk\n" \
  "  [NO]NoDirs                 Create sub-directories\n" \
  "  [NO]SaveHeader             Save HTTP headers, appending .hdr to filename\n" \
  "  Recursive or scan          Scan the HTML files and add new URLs to the list\n" \
  "  noscan                     Don't scan HTML files\n" \
  "   StayInHost                Add only if same hostname\n" \
  "   Pattern <regexp>          Regular expression pattern that must be matched\n" \
  "   SkipPattern <regexp>      If matched, the URL is not added\n" \
  "   Depth <depth>             Decreased each time a file is scanned.  No scan\n" \
  "                             performed when it gets to 0.  Use -1 to disable.\n" \
  "\n" \
  "You can abbreviate options by using only the capital letters.\n" \
  "Use 'no' as a prefix for the options listed with [NO] to get the\n" \
  "opposite result.  See GrabURL.txt for more informations about arguments\n" \
  "and command line options.\n"
